%Plot of the simulation

close all;

l1x_d = ones(length(Phi_hat(:,1)),1)*1.571;
l1y_d = ones(length(Phi_hat(:,2)),1)*0.691;
l1z_d = ones(length(Phi_hat(:,3)),1)*-13.52;

l2x_d = ones(length(Phi_hat(:,1)),1)*-0.924;
l2y_d = ones(length(Phi_hat(:,2)),1)*0.574;
l2z_d = ones(length(Phi_hat(:,3)),1)*-13.567;


    
    %overall plot of lever arm 1:
scrsz = get(0,'ScreenSize');

fig2 = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

o_start = 1;
o_stop = 9000;

plot(t(o_start:o_stop),Phi_hat(o_start:o_stop,1),'b')
hold on;
plot(t(o_start:o_stop),l1x_d(o_start:o_stop),'k--')
plot(t(o_start:o_stop),Phi_hat(o_start:o_stop,2),'r')
plot(t(o_start:o_stop),l1y_d(o_start:o_stop),'k--')
plot(t(o_start:o_stop),Phi_hat(o_start:o_stop,3),'g')
plot(t(o_start:o_stop),l1z_d(o_start:o_stop),'k--')
h1 = legend('$\hat{l}_{1x}$','$l_{1x_d}$','$\hat{l}_{1y}$','$l_{1y_d}$','$\hat{l}_{1z}$','$l_{1z_d}$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


print -depsc GPSLeverarmsArm1AdpSim1023Overall.eps


    %zoomed in plot of lever arm 1:
    
    
    
    scrsz = get(0,'ScreenSize');

figAdded = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

zoom_start_1 = 3000;

subplot(3,1,1)
plot(t(zoom_start_1:end),Phi_hat(zoom_start_1:end,1),'b')
hold on;
plot(t(zoom_start_1:end),l1x_d(zoom_start_1:end),'k--')
h1 = legend('$\hat{l}_{1x}$','$l_{1x_d}$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


subplot(3,1,2)
plot(t(zoom_start_1:end),Phi_hat(zoom_start_1:end,2),'r')
hold on; 
plot(t(zoom_start_1:end),l1y_d(zoom_start_1:end),'k--')
h2 = legend('$\hat{l}_{1y}$','$l_{1y_d}$','location','EastOutside')
set(h2,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


subplot(3,1,3)
plot(t(zoom_start_1:end),Phi_hat(zoom_start_1:end,3),'g')
hold on;
plot(t(zoom_start_1:end),l1z_d(zoom_start_1:end),'k--')
xlabel('Time [s]')
ylabel('Pos [m]')
%axis([0 180 -13.521 -13.519])
h3 = legend('$\hat{l}_{1z}$','$l_{1z_d}$','location','EastOutside')
set(h3,'Interpreter','latex');




print -depsc GPSLeverarmsArm1AdpSim1023Zoom.eps



%LEVER ARM 2
%overall plot of lever arm 2:
scrsz = get(0,'ScreenSize');

fig2 = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);



plot(t(o_start:o_stop),Phi_hat(o_start:o_stop,4),'b')
hold on;
plot(t(o_start:o_stop),l2x_d(o_start:o_stop),'k--')
plot(t(o_start:o_stop),Phi_hat(o_start:o_stop,5),'r')
plot(t(o_start:o_stop),l2y_d(o_start:o_stop),'k--')
plot(t(o_start:o_stop),Phi_hat(o_start:o_stop,6),'g')
plot(t(o_start:o_stop),l2z_d(o_start:o_stop),'k--')
h1 = legend('$\hat{l}_{2x}$','$l_{2x_d}$','$\hat{l}_{2y}$','$l_{2y_d}$','$\hat{l}_{2z}$','$l_{2z_d}$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


print -depsc GPSLeverarmsArm2AdpSim1023Overall.eps


    %zoomed in plot of lever arm 2:
    
    
    
    scrsz = get(0,'ScreenSize');

figAdded = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);


subplot(3,1,1)
plot(t(zoom_start_1:end),Phi_hat(zoom_start_1:end,4),'b')
hold on;
plot(t(zoom_start_1:end),l2x_d(zoom_start_1:end),'k--')
h1 = legend('$\hat{l}_{2x}$','$l_{2x_d}$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


subplot(3,1,2)
plot(t(zoom_start_1:end),Phi_hat(zoom_start_1:end,5),'r')
hold on;
plot(t(zoom_start_1:end),l2y_d(zoom_start_1:end),'k--')
h2 = legend('$\hat{l}_{2y}$','$l_{2y_d}$','location','EastOutside')
set(h2,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


subplot(3,1,3)
plot(t(zoom_start_1:end),Phi_hat(zoom_start_1:end,6),'g')
hold on;
plot(t(zoom_start_1:end),l2z_d(zoom_start_1:end),'k--')
xlabel('Time [s]')
ylabel('Pos [m]')
%axis([0 180 -13.568 -13.566])
h3 = legend('$\hat{l}_{2z}$','$l_{2z_d}$','location','EastOutside')
set(h3,'Interpreter','latex');




print -depsc GPSLeverarmsArm2AdpSim1023Zoom.eps
    
    



%% P0 plot


scrsz = get(0,'ScreenSize');

figAdded = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

zoom_start_1 = 1;


plot(P0plot(:,2),P0plot(:,1),'r')
hold on;
plot(P_0_est(:,2),P_0_est(:,1),'b')
hP =legend('$P_0, meas$','$P_0, est$','location','EastOutside')
set(hP,'Interpreter','latex');
ylabel('North [m]')
xlabel('East [m]')



print -depsc GPSLeverarmsArm2AdpSim1023P0NE.eps





