%Plot of the simulation

close all;

l1x_d = ones(length(x_hat(:,4)),1)*1.571*0;
l1y_d = ones(length(x_hat(:,5)),1)*0.691*0;
l1z_d = ones(length(x_hat(:,6)),1)*-13.52*0;




    %overall plot of lever arm 1:
scrsz = get(0,'ScreenSize');

fig2 = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

o_start = 1;
o_stop = 18000;

plot(t(o_start:o_stop),x_hat(o_start:o_stop,4),'b')
hold on;
plot(t(o_start:o_stop),l1x_d(o_start:o_stop),'k--')
plot(t(o_start:o_stop),x_hat(o_start:o_stop,5),'r')
plot(t(o_start:o_stop),l1y_d(o_start:o_stop),'k--')
plot(t(o_start:o_stop),x_hat(o_start:o_stop,6),'g')
plot(t(o_start:o_stop),l1z_d(o_start:o_stop),'k--')
h1 = legend('$\hat{l}_{1x}$','$l_{1x_d}$','$\hat{l}_{1y}$','$l_{1y_d}$','$\hat{l}_{1z}$','$l_{1z_d}$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


print -depsc GPSLeverarmsArm1ObsRealData1023Overall.eps


    %zoomed in plot of lever arm 1:
    
    
    
    scrsz = get(0,'ScreenSize');

figAdded = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

zoom_start_1 = 1;

subplot(3,1,1)
plot(t(zoom_start_1:end),x_hat(zoom_start_1:end,4),'b')
hold on;
plot(t(zoom_start_1:end),l1x_d(zoom_start_1:end),'k--')
h1 = legend('$\hat{l}_{1x}$','$l_{1x_d}$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


subplot(3,1,2)
plot(t(zoom_start_1:end),x_hat(zoom_start_1:end,5),'r')
hold on; 
plot(t(zoom_start_1:end),l1y_d(zoom_start_1:end),'k--')
h2 = legend('$\hat{l}_{1y}$','$l_{1y_d}$','location','EastOutside')
set(h2,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos [m]')


subplot(3,1,3)
plot(t(zoom_start_1:end),x_hat(zoom_start_1:end,6),'g')
hold on;
plot(t(zoom_start_1:end),l1z_d(zoom_start_1:end),'k--')
xlabel('Time [s]')
ylabel('Pos [m]')
%axis([0 180 -13.521 -13.519])
h3 = legend('$\hat{l}_{1z}$','$l_{1z_d}$','location','EastOutside')
set(h3,'Interpreter','latex');




print -depsc GPSLeverarmsArm1ObsRealData1023Zoom.eps


GPSSimComparison = 0;


if GPSSimComparison == 1
%GPS comparison - simulated and experimental
%set GPSsavedsim = yplot in workspace,
%when yplot = ysim in simulink,
%then run simulation (remove "clear all" first) and
%with yplot = y, and plot (with GPScomparison = 1)

 scrsz = get(0,'ScreenSize');

figAdded = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

zoom_start_1 = 1;

subplot(2,1,1)
plot(t(zoom_start_1:end),yplot(zoom_start_1:end,1),'r')
hold on;
plot(t(zoom_start_1:end),GPSsavedsim(zoom_start_1:end,1),'b')
h1 = legend('$rec$','$sim$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos, N [m]')


subplot(2,1,2)
plot(t(zoom_start_1:end),yplot(zoom_start_1:end,2),'r')
hold on; 
plot(t(zoom_start_1:end),GPSsavedsim(zoom_start_1:end,2),'b')
h2 = legend('$rec$','$sim$','location','EastOutside')
set(h2,'Interpreter','latex');
xlabel('Time [s]')
ylabel('Pos, E [m]')


print -depsc GPSLeverarmsComparisonplot.eps


end

%% p,q,r plot


scrsz = get(0,'ScreenSize');

figAdded = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);


subplot(3,1,1)
plot(t(1:end-1),nu(:,5),'b')
h1 = legend('$p$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('[rad/s]')



subplot(3,1,2)
plot(t(1:end-1),nu(:,6),'b')
h1 = legend('$q$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('[rad/s]')

subplot(3,1,3)
plot(t(1:end-1),nu(:,7),'b')
h1 = legend('$r$','location','EastOutside')
set(h1,'Interpreter','latex');
xlabel('Time [s]')
ylabel('[rad/s]')



print -depsc GPSLeverarmspqr1023.eps

