close all;
hold on
d = simout.signals.values;


%x_cont: x-continuous ran at the previous run without jumps
%t_cont: simout.time for run without jumps

%initialization of continous parameters (copy into matlab workspace after first run)
%{

x_cont = x;
t_cont = t;
d_cont = simout.signals.values;


%}


%

x2 = d - x(:,2); 
V = x(:,1).*x(:,1) + x2.*x2 - 0.2*x(:,1).*x2; %Lyapunov function


scrsz = get(0,'ScreenSize');


%% POSITION AND INTEGRAL STATE ERROR

fig1 = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);


clf
subplot(2,1,1)
plotflows(t,j,x(:,1))
hold on
plot(t_cont,x_cont(:,1),'g')
grid on
ylabel('Position error')
xlabel('Time [s]')
title('Position error.  With jumping (blue) and without (green) ')
subplot(2,1,2)
plotflows(t,j,d-x(:,2))
hold on
plot(t_cont,d_cont-x_cont(:,2),'g')
grid on
ylabel('Integral state error')
xlabel('Time [s]')
title('Integral state error.  With jumping (blue) and without (green) - red lines indicate jumps ')


print -depsc PositionAndIntegralStateError1DOF.eps






%% LYAPUNOV FUNCTION + CLOSE UP OF INTEGRAL STATE ERROR

fig2 = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);

n_start = 5000;
n_stop = 6300;


clf
subplot(2,1,1)
plotflows(t(n_start:n_stop),j(n_start:n_stop),d(n_start:n_stop,1)-x(n_start:n_stop,2))
hold on

grid on
ylabel('Integral state error')
xlabel('Time [s]')
title('Integral state error - zoom.  With jumping - red lines indicate jumps ')
subplot(2,1,2)
plotflows(t(n_start:n_stop),j(n_start:n_stop),V(n_start:n_stop))

grid on
ylabel('Lyapunov function')
xlabel('Time [s]')
title('Lyapunov function value for the hybrid solution - red lines indicate jumps')


print -depsc LyapunovandJumpZoomHybrid1DOF.eps