close all;
clc;

% Psi vector
psi_r = [0 45 90 135 180 225 270 315 360 ];
psi_r2 = [0 45 90 135 180 -135 -90 -45];

% Data
%psi_r   = [0        45       90      135      180      225     270      315     360 ];

%3025hi= [      22.1     20.5     19.2     31.1     24.6    26.6     21.4     23      22.1  ];
hi= [           21.2     21.3     23.8     30.7     33.6    21.1     15.4     20.6    21.2];
%Plotting 
scrsz = get(0,'ScreenSize');

fig = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);


theta  = linspace(0,2*pi,100);
r      = sin(2*theta) .* cos(2*theta);

%%%%%%%%%%%%%%%%%%%
r_max  = 1.05;
%%%%%%%%%%%%%%%%%%


line_w = 2;

%H = mmpolar(psi_r2*pi/180,hi);
%set(H,'LineWidth',line_w)



H = mmpolar(psi_r*pi/180,hi,'Rlimit',[0 1.05]);
set(H,'LineWidth',line_w)

hold on;
H = mmpolar(psi_r*pi/180,hi,'Rlimit',[0 35],'RTickAngle',85,'RTickUnits','s');
%set(H(1),'Color',[0.7 0.4 0.9])
%a = annotation('textarrow', [0.1 0.1], [.5 .9],...
     %          'String' , 'Straight Line');
%annotation('arrow',[0.5 0.55],[0.55 .55]);
%-compass(0.5,0.6)


%Wind direction
theta_wind = 23*pi/180;
x_0_wind = 0.51; %x-coordinate on the body where the wind force act
y_0_wind = 0.25; %y-coordinate on the body where the wind force act
r_wind = 0.3; % magnitude (length) of arrow to plot
x_wind = x_0_wind + r_wind*cos(theta_wind);
y_wind = y_0_wind + r_wind*sin(theta_wind);
u_wind = -r_wind * cos(theta_wind); % convert polar (theta,r) to cartesian
v_wind = -r_wind * sin(theta_wind);
h_wind = quiver(x_wind,y_wind,u_wind,v_wind);
%str = {'Wind, 0.3m/s'};
%annotation('textbox', [0.65, 0.65, 0.06, 0.06],...
         %  'String', str);
set(h_wind,'linewidth',6);
set(h_wind,'color',[0,0.5,0.3]);

         
         
%Current direction
theta_c = 318*pi/180;
x_0_c = 0.47; %x-coordinate on the body where the wind force act
y_0_c = -0.45; %y-coordinate on the body where the wind force act
r_c = 0.3; % magnitude (length) of arrow to plot
x_c = x_0_c + r_c*cos(theta_c);
y_c = y_0_c + r_c*sin(theta_c);
u_c = -r_c * cos(theta_c); % convert polar (theta,r) to cartesian
v_c = -r_c * sin(theta_c);
h_c = quiver(x_c,y_c,u_c,v_c);
%str = {'Wind, 0.3m/s'};
%annotation('textbox', [0.65, 0.65, 0.06, 0.06],...
         %  'String', str);

set(h_c,'linewidth',6);
set(h_c,'color',[0.3,0,0.5]);

twoplots=0;
if twoplots ==1

   
  %H = mmpolar(psi_r*pi/180,hi_2,'Rlimit',[0 1.05]);
  
%set(H,'LineWidth',line_w)
 

%H = mmpolar(psi_r*pi/180,hi_2,'Rlimit',[0 35],'RTickAngle',85,'RTickUnits','s');
%set(H,'Color',[0 0.1 0.1]) 

end    

plotpdf = 1;
if plotpdf == 1
L = 0.125; %ship size
R_1 = [cos(90*pi/180) -sin(90*pi/180);
       sin(90*pi/180) cos(90*pi/180)];
ship_1 = R_1*[6*L/9 5*L/9 3*L/9 -5*L/9 -5*L/9 3*L/9 5*L/9 6*L/9; 
            0 1*L/9 2*L/9 2*L/9 -2*L/9 -2*L/9 -1*L/9 0];

patch(ship_1(2,:),ship_1(1,:),[0.75 0.75 0.75],'linewidth',1.2);    

az = 90;
el = -90;
view(az, el);


%plotpdftex(fig,'Agility_3025_method2.pdf',[1.2 0.1]);
end