close all;
clc;

% Psi vector
psi_r = [0 45 90 135 180 225 270 315 360 ];
psi_r2 = [0 45 90 135 180 -135 -90 -45];

% Data
%psi_r   = [      0        45       90      135      180      225     270      315     360 ];

%3025hi= [       8.35     6.5        5.5      7.9     6.2     8.1     5.5      7.2      8.35];
%3026hi= [             8.35    8.25       8.2      8.1     8.65     8.4     7.9      8.8      8.35];
%3028hi_sb= [          8.16    8.3       6.9      6.4     8.1      8.1      8.3      9.3      8.16];

%3028hi_port=   [      7.7      7.6       7.7      7.5     8.1     6.4     6.9      8.4      7.7];

%3028hi_tunnel = [     4.5      4.3       4.5      4.4     4.6     4.6     4.6      4.6      4.5];


%3025hi_sb= [          5.8       6.2       6       8.3     6.1      4.9      6.1      6.6      5.8];

%3025hi_port=   [      6.3       7.3       5.8     4.9     6.2      8.1      5.5      6.3      6.3];

%3025hi_tunnel = [     0          2.4      2.7      2.7     0       3.1       3.3      3.0      0];


hi_sb= [         7.9       8.3       7.9    8.4     8.2      6.2      7.6      8.1      7.9];

hi_port=   [     8.8       8.6       7.6     6.6    8.0      8.1      7.8      8.5      8.8];

hi_tunnel = [     0        2.8       4.0     3.4     0       3.5      4.2      3.3      0];



%Plotting 
scrsz = get(0,'ScreenSize');

fig = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);


theta  = linspace(0,2*pi,100);
r      = sin(2*theta) .* cos(2*theta);

%%%%%%%%%%%%%%%%%%%
r_max  = 1.05;
%%%%%%%%%%%%%%%%%%


line_w = 2;

%H = mmpolar(psi_r2*pi/180,hi);
%set(H,'LineWidth',line_w)



H = mmpolar(psi_r*pi/180,hi_sb,'Rlimit',[0 1.05]);
set(H,'LineWidth',line_w)

hold on;
H = mmpolar(psi_r*pi/180,hi_port);
%set(H,'Color',[0 1 0]) %SB color

H = mmpolar(psi_r*pi/180,hi_tunnel,'Rlimit',[0 14],'RTickAngle',85,'RTickUnits','s');
set(H(1),'Color',[1 0 0])
set(H(3),'Color',[0 0 0])
%a = annotation('textarrow', [0.1 0.1], [.5 .9],...
     %          'String' , 'Straight Line');
%annotation('arrow',[0.5 0.55],[0.55 .55]);
%-compass(0.5,0.6)


%Wind direction
theta_wind = 22.9*pi/180;
x_0_wind = 0.51; %x-coordinate on the body where the wind force act
y_0_wind = 0.25; %y-coordinate on the body where the wind force act
r_wind = 0.3; % magnitude (length) of arrow to plot
x_wind = x_0_wind + r_wind*cos(theta_wind);
y_wind = y_0_wind + r_wind*sin(theta_wind);
u_wind = -r_wind * cos(theta_wind); % convert polar (theta,r) to cartesian
v_wind = -r_wind * sin(theta_wind);
h_wind = quiver(x_wind,y_wind,u_wind,v_wind);
%str = {'Wind, 0.3m/s'};
%annotation('textbox', [0.65, 0.65, 0.06, 0.06],...
         %  'String', str);
set(h_wind,'linewidth',6);
set(h_wind,'color',[0,0.5,0.3]);

         
         
%Current direction
theta_c = 318*pi/180;
x_0_c = 0.47; %x-coordinate on the body where the wind force act
y_0_c = -0.45; %y-coordinate on the body where the wind force act
r_c = 0.3; % magnitude (length) of arrow to plot
x_c = x_0_c + r_c*cos(theta_c);
y_c = y_0_c + r_c*sin(theta_c);
u_c = -r_c * cos(theta_c); % convert polar (theta,r) to cartesian
v_c = -r_c * sin(theta_c);
h_c = quiver(x_c,y_c,u_c,v_c);
%str = {'Wind, 0.3m/s'};
%annotation('textbox', [0.65, 0.65, 0.06, 0.06],...
         %  'String', str);

set(h_c,'linewidth',6);
set(h_c,'color',[0.3,0,0.5]);

twoplots=0;
if twoplots ==1

   
  %H = mmpolar(psi_r*pi/180,hi_2,'Rlimit',[0 1.05]);
  
%set(H,'LineWidth',line_w)
 

%H = mmpolar(psi_r*pi/180,hi_2,'Rlimit',[0 35],'RTickAngle',85,'RTickUnits','s');
%set(H,'Color',[0 0.1 0.1]) 

end    

plotpdf = 1;
if plotpdf == 1
L = 0.125; %ship size
R_1 = [cos(90*pi/180) -sin(90*pi/180);
       sin(90*pi/180) cos(90*pi/180)];
ship_1 = R_1*[6*L/9 5*L/9 3*L/9 -5*L/9 -5*L/9 3*L/9 5*L/9 6*L/9; 
            0 1*L/9 2*L/9 2*L/9 -2*L/9 -2*L/9 -1*L/9 0];

patch(ship_1(2,:),ship_1(1,:),[0.75 0.75 0.75],'linewidth',1.2);    

az = 90;
el = -90;
view(az, el);

legend('starboard thruster, t.c.','port thruster, t.c.','tunnel thruster, t.c.',2)



legend2latex(fig);
%laprint(1,'figure1');
plotpdftex(fig,'Agility_3026_all3_thrust.pdf',[1.2 0.2]);
end