close all;
clc;

%% Plotting of the step tests for the master thesis %%

%   made: 11th of June 2014   %



%% Configuration of time vector

    time = zeros(1,length(GU_data(1,:)));
     
     for j = 1:length(GU_data(1,:))
       time(1,j) = 0.01*j;
     end
   %end
   plot(time,time);


%% Plotting of point 8




% Surge speed step tests (point 8)

% 3002 forward (0-5,5-10,10-15,15-25,25-40,40-0)
% 3003 forward (0-80,80-0)
% 3004 backward (0-5,5-10,10-15,15-20,20-0)
% 3005 backward (0-40,40-0)

p8 = 0;
if p8 == 1
    
   
    scrsz = get(0,'ScreenSize');

    fig = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);
    
    
    
    subplot(3,1,1)
    plot(time(1,:),GU_data(25,:),'b');
    xlabel('time [s]')
    ylabel('m/s')
    %[hleg1, hobj1] = legend('Surge velocity','location','NorthWest')
    [hleg1, hobj1] = legend('Surge velocity','location','SouthEast')
    textobj = findobj(hobj1, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    subplot(3,1,2)
    plot(time(1,:),GU_data(41,:),'r');
    xlabel('time [s]')
    ylabel('rpm')
    %[hleg2, hobj2] = legend('Shaft speed feedback (sb)','location','NorthWest')
    [hleg2, hobj2] = legend('Shaft speed feedback (sb)','location','NorthEast')
    textobj = findobj(hobj2, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    subplot(3,1,3)
    plot(time(1,:),GU_data(44,:),'k');
    xlabel('time [s]')
    ylabel('kW') 
    %[hleg3, hobj3] = legend('Power feedback (sb)','location','NorthWest')
    [hleg3, hobj3] = legend('Power feedback (sb)','location','NorthEast')
    textobj = findobj(hobj3, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 1600 -5 50])

    

   % print -depsc Steptest_speed_surge_forward_3002.eps 
   % print -depsc Steptest_speed_surge_forward_3003.eps 
   % print -depsc Steptest_speed_surge_backward_3004.eps 
    print -depsc Steptest_speed_surge_backward_3005.eps 

end

% Sway speed step tests (point 9)

% 3013 starboard (0-25,0-50,0-75,0-100,100-0)
% 3014 port (0-25,0-50,0-100,100-0)


p9 = 0;
if p9 == 1
    
   
    scrsz = get(0,'ScreenSize');

    fig = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);
    
    
    
    subplot(3,1,1)
    plot(time(1,:),GU_data(26,:),'b');
    xlabel('time [s]')
    ylabel('m/s')
    [hleg1, hobj1] = legend('Sway velocity','location','NorthWest')
    textobj = findobj(hobj1, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    subplot(3,1,2)
     plot(time(1,:),GU_data(25,:),'r');
    xlabel('time [s]')
    ylabel('m/s')
    [hleg1, hobj1] = legend('Surge velocity','location','NorthEast')
    textobj = findobj(hobj1, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 1600 -1.3 0.7])
    subplot(3,1,3)
    plot(time(1,:),sqrt(GU_data(26,:).^2 +GU_data(25,:).^2) ,'k');
    xlabel('time [s]')
    ylabel('m/s')
    
    [hleg1, hobj1] = legend('Total speed','location','NorthWest')
    textobj = findobj(hobj1, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 1600 -5 50])

    

   %print -depsc Steptest_speed_sway_sb_3013_1.eps 
  
    print -depsc Steptest_speed_sway_port_3014_1.eps  
 
   
   scrsz = get(0,'ScreenSize');

    fig = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);
    
    
    
    subplot(3,1,1)
    plot(time(1,:),sqrt(GU_data(26,:).^2 +GU_data(25,:).^2) ,'b');
    xlabel('time [s]')
    ylabel('m/s')
    
    [hleg1, hobj1] = legend('Total speed','location','NorthWest')
    textobj = findobj(hobj1, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    subplot(3,1,2)
    plot(time(1,:),GU_data(41,:),'r');
    xlabel('time [s]')
    ylabel('rpm')
    %[hleg2, hobj2] = legend('Shaft speed feedback (sb)','location','NorthWest')
    [hleg2, hobj2] = legend('Shaft speed feedback (sb)','location','NorthWest')
    textobj = findobj(hobj2, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    axis([0 1000 0 170])
    subplot(3,1,3)
    plot(time(1,:),GU_data(44,:),'k');
    xlabel('time [s]')
    ylabel('kW') 
    %[hleg3, hobj3] = legend('Power feedback (sb)','location','NorthWest')
    [hleg3, hobj3] = legend('Power feedback (sb)','location','NorthWest')
    textobj = findobj(hobj3, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 1600 -5 50])

    

    %print -depsc Steptest_speed_sway_sb_3013_2.eps 
    print -depsc Steptest_speed_sway_port_3014_2.eps  
end


p10 = 1;
if p10 == 1
    
   
    scrsz = get(0,'ScreenSize');

    fig = figure('Position',[400 250 scrsz(3)/1.75 scrsz(4)/1.75]);
    
    
    
    subplot(3,1,1)
    plot(time(1,:),GU_data(40,:),'b');
    xlabel('time [s]')
    ylabel('deg/s')
    [hleg1, hobj1] = legend('Yaw rate','location','NorthEast')
    textobj = findobj(hobj1, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 450 -2.5 0.5])
    subplot(3,1,2)
    plot(time(1,:),GU_data(46,:),'r');
    xlabel('time [s]')
    ylabel('deg')
    [hleg2, hobj2] = legend('Rudder angle starboard','location','SouthEast')
    textobj = findobj(hobj2, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 450 -30 60])
    subplot(3,1,3)
    plot(time(1,:),GU_data(47,:),'k');
    xlabel('time [s]')
    ylabel('deg')
    [hleg2, hobj2] = legend('Rudder angle port','location','SouthEast')
    textobj = findobj(hobj2, 'type', 'text');
    set(textobj, 'Interpreter', 'latex', 'fontsize', 12);
    %axis([0 450 -30 60])
    
    

   %print -depsc Steptest_speed_yaw_3015.eps 
   %print -depsc Steptest_speed_yaw_3016.eps 
   print -depsc Steptest_speed_yaw_3017.eps 
   %print -depsc Steptest_speed_yaw_3018.eps 
  
   % print -depsc Steptest_speed_sway_sb_3014_1.eps  
 
   
   
end